package com.bocloud.cmp.model.agile;

import java.util.Date;
import java.util.List;

/**
 * 阿里云vpc专用网络
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年2月2日
 */
public class AgileVpcModel {
    private String name;// 名称
    private String status;// 状态
    private String routerId;// 路由ID
    private String regionId;// 所属域
    private String cidr;// cidr
    private String vswitchIds;// 交换机ID
    private String vpcId;// 专用网络ID
    private String remark;// 描述
    private String userCidrs;// 用户cidr
    private Boolean defaultVpc;// 是否为默认vpc
    //-------2020/3/26 新插入代码 start
    private String tenantUuid; // 所属租户uuid， 当前只有华为SDN在用
    private List<String> fabricUuids; // 关联的Fabric的uuid，当前只有华为SDN在用
    private String type; // VPC类型, 枚举类型，支持的取值：Instance：给云主机实例使用； Transit：用于分散VPC之间的连接，当前只有华为SDN在用
    private Boolean multicastCapability; // vpc组播能力
    private Boolean isVpcDeployed; // vpc 是否部署
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间

    /**
     *
     */
    public AgileVpcModel() {
        super();
    }

    /**
     * @param name
     * @param status
     * @param routerId
     * @param regionId
     * @param cidr
     * @param vswitchIds
     * @param vpcId
     * @param remark
     * @param userCidrs
     * @param defaultVpc
     */
    public AgileVpcModel(String name, String status, String routerId, String regionId, String cidr, String vswitchIds,
                         String vpcId, String remark, String userCidrs, Boolean defaultVpc) {
        super();
        this.name = name;
        this.status = status;
        this.routerId = routerId;
        this.regionId = regionId;
        this.cidr = cidr;
        this.vswitchIds = vswitchIds;
        this.vpcId = vpcId;
        this.remark = remark;
        this.userCidrs = userCidrs;
        this.defaultVpc = defaultVpc;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public List<String> getFabricUuids() {
        return fabricUuids;
    }

    public void setFabricUuids(List<String> fabricUuids) {
        this.fabricUuids = fabricUuids;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the routerId
     */
    public String getRouterId() {
        return routerId;
    }

    /**
     * @param routerId the routerId to set
     */
    public void setRouterId(String routerId) {
        this.routerId = routerId;
    }

    /**
     * @return the regionId
     */
    public String getRegionId() {
        return regionId;
    }

    /**
     * @param regionId the regionId to set
     */
    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    /**
     * @return the cidr
     */
    public String getCidr() {
        return cidr;
    }

    /**
     * @param cidr the cidr to set
     */
    public void setCidr(String cidr) {
        this.cidr = cidr;
    }

    /**
     * @return the vswitchIds
     */
    public String getVswitchIds() {
        return vswitchIds;
    }

    /**
     * @param vswitchIds the vswitchIds to set
     */
    public void setVswitchIds(String vswitchIds) {
        this.vswitchIds = vswitchIds;
    }

    /**
     * @return the vpcId
     */
    public String getVpcId() {
        return vpcId;
    }

    /**
     * @param vpcId the vpcId to set
     */
    public void setVpcId(String vpcId) {
        this.vpcId = vpcId;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the userCidrs
     */
    public String getUserCidrs() {
        return userCidrs;
    }

    /**
     * @param userCidrs the userCidrs to set
     */
    public void setUserCidrs(String userCidrs) {
        this.userCidrs = userCidrs;
    }

    /**
     * @return the defaultVpc
     */
    public Boolean getDefaultVpc() {
        return defaultVpc;
    }

    /**
     * @param defaultVpc the defaultVpc to set
     */
    public void setDefaultVpc(Boolean defaultVpc) {
        this.defaultVpc = defaultVpc;
    }

    public Boolean getMulticastCapability() {
        return multicastCapability;
    }

    public void setMulticastCapability(Boolean multicastCapability) {
        this.multicastCapability = multicastCapability;
    }

    public Boolean getVpcDeployed() {
        return isVpcDeployed;
    }

    public void setVpcDeployed(Boolean vpcDeployed) {
        isVpcDeployed = vpcDeployed;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }
}
